pcl::recognition::RotationSpaceCreator Class Reference

`#include <pcl/recognition/ransac_based/rigid_transform_space.h>`

## Public Member Functions

| RotationSpaceCreator ()
virtual | ~RotationSpaceCreator ()
RotationSpace * | create (const SimpleOctree< RotationSpace, RotationSpaceCreator, float >::Node *leaf)
void | setDiscretization (float value)
int | getNumberOfRotationSpaces () const
const std::list< RotationSpace * > & | getRotationSpaces () const
std::list< RotationSpace * > & | getRotationSpaces ()
void | reset ()

## Protected Attributes

float | discretization_
int | counter_
std::list< RotationSpace * > | rotation_spaces_

## Detailed Description

Definition at line 293 of file rigid_transform_space.h.

## Constructor & Destructor Documentation

## RotationSpaceCreator()

pcl::recognition::RotationSpaceCreator::RotationSpaceCreator | ( |  | ) |

inline

Definition at line 296 of file rigid_transform_space.h.

## ~RotationSpaceCreator()

virtual pcl::recognition::RotationSpaceCreator::~RotationSpaceCreator | ( |  | ) |

inline virtual

Definition at line 300 of file rigid_transform_space.h.

## Member Function Documentation

## create()

RotationSpace* pcl::recognition::RotationSpaceCreator::create | ( | const SimpleOctree< RotationSpace, RotationSpaceCreator, float >::Node * | leaf | ) |

inline

Definition at line 302 of file rigid_transform_space.h.

References counter_, discretization_, rotation_spaces_, and pcl::recognition::RotationSpace::setCenter().

## getNumberOfRotationSpaces()

int pcl::recognition::RotationSpaceCreator::getNumberOfRotationSpaces | ( |  | ) | const

inline

Definition at line 317 of file rigid_transform_space.h.

References counter_.

## getRotationSpaces() [1/2]

std::list<RotationSpace*>& pcl::recognition::RotationSpaceCreator::getRotationSpaces | ( |  | ) |

inline

Definition at line 323 of file rigid_transform_space.h.

References rotation_spaces_.

## getRotationSpaces() [2/2]

const std::list<RotationSpace*>& pcl::recognition::RotationSpaceCreator::getRotationSpaces | ( |  | ) | const

inline

Definition at line 320 of file rigid_transform_space.h.

References rotation_spaces_.

## reset()

void pcl::recognition::RotationSpaceCreator::reset | ( |  | ) |

inline

Definition at line 326 of file rigid_transform_space.h.

References counter_, and rotation_spaces_.

## setDiscretization()

void pcl::recognition::RotationSpaceCreator::setDiscretization | ( | float | value | ) |

inline

Definition at line 314 of file rigid_transform_space.h.

References discretization_.

## Member Data Documentation

## counter_

int pcl::recognition::RotationSpaceCreator::counter_

protected

Definition at line 334 of file rigid_transform_space.h.

Referenced by create(), getNumberOfRotationSpaces(), and reset().

## discretization_

float pcl::recognition::RotationSpaceCreator::discretization_

protected

Definition at line 333 of file rigid_transform_space.h.

Referenced by create(), and setDiscretization().

## rotation_spaces_

std::list<RotationSpace*> pcl::recognition::RotationSpaceCreator::rotation_spaces_

protected

Definition at line 335 of file rigid_transform_space.h.

Referenced by create(), getRotationSpaces(), and reset().

The documentation for this class was generated from the following file:

- pcl/recognition/ransac_based/rigid_transform_space.h